# make sure we require the correct versions of gaim 
%define gaim_min 2:%(pkg-config --modversion gaim | awk -F- '{ print $1 }')
%define gaim_max 2:3.0.0

%define gaimsrcver 2.0.0beta4

# it's not quite 0.97, but it's definitely:
#   branch:      fork-for-gaim-2
#   svn release: 290
%define alphatag 291svn

Name:           gaim-gaym
Version:        0.96
Release:        3%{?alphatag:.5.%{alphatag}}%{?dist}
Summary:        A gay.com protocol plugin for gaim

Group:          Applications/Internet
License:        GPL
URL:            http://groups.yahoo.com/group/gaymplugin/
Source0: http://download.berlios.de/qrc/qrc-%{version}%{?alphatag:-%{alphatag}}.tar.gz
Source1:        http://download.sourceforge.net/gaim/gaim-%{gaimsrcver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gaim-devel < %{gaim_max}, gtk2-devel
%{?alphatag:BuildRequires: autoconf, automake, libtool, pkgconfig}

Requires:       gaim >= %{gaim_min}, gaim < %{gaim_max}

%description
This package provides a protocol plugin for the popular instant messaging
program, gaim.  If you want to be able to chat on gay.com via gaim, install
this package.

This package will work with gaim versions greater than or equal to %{gaim_min}
and less than %{gaim_max}.

%prep
#setup -q -n qrc-%{version}
#setup -q -n qrc-%{version} -T -D -a 1
%setup -q -n fork-for-gaim-2
%setup -q -n fork-for-gaim-2 -T -D -a 1


# copy the needed headers to the right places...
for i in gaym/src bot-challenger gaym-extras/src ; do
    cp gaim-%{gaimsrcver}/libgaim/internal.h $i
    cp gaim-%{gaimsrcver}/libgaim/prefix.h   $i
done

rm -rf gaim-%{gaimsrcver}

%build
autoreconf --force --install
%configure --enable-display_options --disable-gaym-extras
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# AUTHORS and NEWS left out, as they're empty in this version 
# README.svn and README.mingw pertain to devel & win32 issues
%doc ChangeLog COPYING INSTALL README TODO
%{_libdir}/gaim/*.so
%{_datadir}/pixmaps/gaim/status/default/*
%exclude %{_libdir}/gaim/*.la


%changelog
* Sat Nov 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-3.5.291svn
- update to svn rel 291, tag fork-for-gaim-2

* Sat Nov 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-3.4.290svn
- update to svn rel 290, tag fork-for-gaim-2

* Sun Oct 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-3.3.289svn
- rebuilt with beta4
- disable the extras plugin; beta4 breaks compilation :(
- gaim_url_fetch becomes gaim_util_fetch_url

* Mon Oct 23 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-3.2.289svn
- it helps to upload all sources to the lookaside cache.

* Sun Oct 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-3.1.289svn
- pull in header files not included in gaim-devel
- switch to SVN branch fork-for-gaim-2, rev 289
- pull in all the auto* stuff we now need for a devel snapshot

* Mon May  8 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-2
- dropped explicit requires: gtk2

* Sat May  6 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-1
- new spec file from f-e template

